#ifndef RESOURCES_H
#define RESOURCES_H

#include "config.h"
#include "lcd-routines.h"

#ifdef USEEEPROM
  #include <avr/eeprom.h>
#endif

#ifdef USEEEPROM
  #define lcd_WriteResource   lcd_eep_string
  #define RESMEMMOD           EEMEM
#else
  #define lcd_WriteResource  lcd_string
  #define RESMEMMOD
#endif

  //Strings 
extern char resTestRunning[];
extern char resBat[];
extern char resBatWeak[];
extern char resBatEmpty[];
extern char resTestFailed1[];
extern char resTestFailed2[];
extern char resBauteil[];
extern char resUnknown[];
extern char resOrBroken[];
extern char resDiode[];
extern char resDualDiode[];
extern char resTwoDiodes[];
extern char resAntiparallel[];
extern char resInSeries[];
extern char resMOSFET[];
extern char resemode[];
extern char resdmode[];
extern char resJFET[];
extern char resThyristor[];
extern char resTriac[];
extern char resA1[];
extern char resA2[];
extern char reshFE[];
extern char resNPN[];
extern char resPNP[];
extern char resTransB[];
extern char resTransC[];
extern char resTransE[];
extern char resgds[];
extern char resUf[];
extern char resvt[];
extern char resmV[];
extern char resResistor[];
extern char resTestTimedOut[];
extern char resDiodeIcon[];

#endif
